{# Useful macroses #}

{# Compile sass to css (can be used inside style tag) #}
{% macro sass() -%}
    {{ sass_compile(caller()) }}
{%- endmacro %}

{# Translation switch #}
{% macro translatable(translations, current_lang) -%}
    {% if current_lang in translations %}
        {{ translations[current_lang] }}
    {% else %}
        __NO_TRANSLATION__
    {% endif %}
{%- endmacro %}

{# Datetime interval to string (e.g. "Aug-Dec 2018") #}
{% macro time_interval(from, to) -%}
    {% if from.year == to.year %}
        {{ from.strftime('%b').capitalize() }} - {{ to.strftime('%b').capitalize() }} {{ from.strftime('%Y') }}
    {% else %}
        {{ from.strftime('%b').capitalize() }} {{ from.strftime('%Y') }} - {{ to.strftime('%b').capitalize() }} {{ to.strftime('%Y') }}
    {% endif %}
{%- endmacro %}

{% macro lang_code_to_name(lang_code, lang) -%}
    {% set translations = {
        'ru': {
            'ru': 'Русский',
            'en': 'Английский',
            'es': 'Испанский',
            'de': 'Немецкий',
            'ua': 'Украинский',
            'rs': 'Сербский',
            'bg': 'Болгарский'
        },
        'es': {
            'ru': 'Ruso',
            'en': 'Inglés',
            'es': 'Español',
            'de': 'Alemán',
            'ua': 'Ukraniano',
            'rs': 'Serbio',
            'bg': 'Búlgaro'
        },
        'pt': {
            'ru': 'Russo',
            'en': 'Inglês',
            'es': 'Espanhol', 
            'de': 'Alemão',
            'ua': 'Ucraniano', 
            'rs': 'Sérvio',
            'bg': 'Búlgaro'
        }
    } -%}
    {{ translations[lang][lang_code] }}
{%- endmacro %}

{% macro lang_level_to_name(lang_level, lang) -%}
    {% set translations = {
        'ru': {
            'native': 'Родной',
            'advanced': 'Продвинутый',
            'intermediate': 'Рабочий',
            'beginner': 'Начальный',
        },
        'es': {
            'native': 'Nativo',
            'advanced': 'Superior',
            'intermediate': 'Medio',
            'beginner': 'Básico',
        },
        'pt': {
            'native': 'Nativo',
            'advanced': 'Avançado',
            'intermediate': 'Intermediário',
            'beginner': 'Iniciante'
        }
    } -%}
    {{ translations[lang][lang_level] }}
{%- endmacro %}

<head>
    <meta charset="utf-8" />
    <meta name="pdfkit-margin-top" content="{{ PAGE_MARGIN_TOP }}"/>
    <meta name="pdfkit-margin-bottom" content="{{ PAGE_MARGIN_BOTTOM }}"/>
    <meta name="pdfkit-margin-left" content="0"/>
    <meta name="pdfkit-margin-right" content="0"/>
    <meta name="pdfkit-page-size" content="A4"/>
    <meta name="pdfkit-orientation" content="{{ ORIENTATION }}"/>
    <meta name="pdfkit-dpi" content="400"/>

    <style>
        {% block styles %}{% endblock %}
    </style>
</head>

{% macro page(filename) -%}
    <div class="page">
        {% include filename %}
    </div>
{%- endmacro %}

<body>
    {% block content %} {% endblock %}
</body>